/* eslint-disable max-len */
import React, { SVGProps } from "react";

import { IiCon } from "@/types/IconInterface";

import styles from "./IconFills.module.scss";

export const ClearFilterIcon = ({ color, width = "17px", height = "15px", ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 17 15"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path d="M0.125 1.89844C0.125 1.26953 0.617188 0.75 1.24609 0.75H12.9492C13.6055 0.75 14.125 1.26953 14.125 1.92578C14.125 2.14453 14.043 2.39062 13.8789 2.58203L11.3633 6.05469C10.5156 6.13672 9.75 6.46484 9.09375 6.92969L12.6484 2.0625H1.62891L6.08594 7.55859C6.19531 7.69531 6.25 7.83203 6.25 7.96875V9.85547L7.125 10.5391C7.125 10.6484 7.125 10.7305 7.125 10.8125C7.125 11.3867 7.20703 11.9336 7.39844 12.4531L5.34766 10.8125C5.07422 10.5938 4.9375 10.293 4.9375 9.96484V8.21484L0.371094 2.60938C0.207031 2.41797 0.125 2.17188 0.125 1.89844ZM11.9375 6.875C13.332 6.875 14.6172 7.64062 15.3281 8.84375C16.0391 10.0742 16.0391 11.5781 15.3281 12.7812C14.6172 14.0117 13.332 14.75 11.9375 14.75C10.5156 14.75 9.23047 14.0117 8.51953 12.7812C7.80859 11.5781 7.80859 10.0742 8.51953 8.84375C9.23047 7.64062 10.5156 6.875 11.9375 6.875ZM13.5508 9.82812C13.7148 9.66406 13.7148 9.36328 13.5508 9.19922C13.3867 9.03516 13.0859 9.03516 12.9219 9.19922L11.9375 10.2109L10.9258 9.19922C10.7617 9.03516 10.4609 9.03516 10.2969 9.19922C10.1328 9.36328 10.1328 9.66406 10.2969 9.82812L11.3086 10.8125L10.2969 11.8242C10.1328 11.9883 10.1328 12.2891 10.2969 12.4531C10.4609 12.6172 10.7617 12.6172 10.9258 12.4531L11.9375 11.4414L12.9219 12.4531C13.0859 12.6172 13.3867 12.6172 13.5508 12.4531C13.7148 12.2891 13.7148 11.9883 13.5508 11.8242L12.5391 10.8125L13.5508 9.82812Z" />
    </svg>
);
